### Method

# St IconInfo load_icon_async

#### Declaration [src]

    void
    st_icon_info_load_icon_async (
      StIconInfo* icon_info,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously load, render and scale an icon previously looked up from the icon theme using `st_icon_theme_lookup_icon()`.

For more details, see `st_icon_info_load_icon()` which is the synchronous version of this call.

This method completes asynchronously. Use `st_icon_info_load_icon_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.